Welcome to the new monday developer community
Discussions category for everything related to app development on top of monday.com
Recently active
I have this query that basically paginates the board until reaching the end. However, I don’t know if it’s something I did in my code or if it’s something with the API itself, but the JSON response always arrives with the link columns empty. def get_items_from_board(self, cursor=None): query = { "query": f""" {{ boards(ids: {self.board_id}) {{ items_page(limit: 100{f', cursor: "{cursor}"' if cursor else ''}) {{ cursor items {{ id name column_values {{ column {{ title id }} text }} }} }} }} }} """ } response = requests.post(self.URL, headers=self.headers, json=query) if response.status_code == 200: return response.json() else:
I am trying to use a custom action I created with the built in trigger ‘when column changes’. How should I go about receiving the itemId of the item in my custom action. I have tried adding input field ‘ItemId’ and ‘ColumnId’. But I am not getting the values in the req.body. Right now I am only getting the BoardID which I have set as context. Can anyone please help me with this. How can I set up the custom action? Trying to create something like the following
Hey everyone, I’ve been reading over the API documentation and not sure if I’m missing some way to do this, but I would like to know the best approach of how to update a row in Monday that’s effectively syncing from another system. If I have a list of objects in the foreign system that have updated in the past 24 hours, and I push that into Monday, every column shows as being updated by the API user. What I ultimately want, is only the values that are different, the delta, to be updated and show in the activity log. Now I can manually do the hard work to pull all objects from the board in Monday, check each column to see if it’s changed, and dynamically build an update multiple column values mutation to make this happen, but gosh that’s a lot of work and computational overhead. Is there not a better way to achieve this? Appreciate any ideas/support/guidance.
I’m automating item creation on a Monday board using responses from Microsoft Forms via Power Automate. The item and updates work smoothly, but I’m stuck on getting file attachments (images, Word, Excel, etc.) added to the item. The files appear on the board but in an unreadable format—I’ve tried both Base64 and binary without luck. Any tips or tricks to make these attachments viewable? HTTP part from Power Automate Output:
I’m getting a 500 error when uploading a file where the filename contains characters outside of the ASCII range 32-127 The API call works fine for most filenames, but occasionally I get a filename with an accented character, and they fail to upload. I could write a filter to remove the accented characters, but was hoping instead there was a solution within Monday so filenames remain accurate. I can manually upload files with accented characters, so the limitation must be the API I’m using api.monday.com/v2/file with a POST, setting the Authorization header to my token, and setting “content-type” to “multipart/form-data” Thanks in advance! Steve
I’m having a heck of a time understanding the custom trigger doc. Everything else in the integrations docs makes sense but not the custom trigger section. It probably doesn’t help that I haven’t implemented webhooks before, maybe that missing bit of context would help me fill in the rest. I’m sure I’m not the only person with this problem. I can easily figure out how custom actions work because the integrations quickstart comes with custom action in the workflow blocks, but there’s no custom trigger given. Which I guess makes sense because a custom trigger requires an outside server. Still… is there an example or more thorough tutorial I can consult? I’m sure I’m not the only person who has had or will have this problem.
Hello. So far, the following query has worked great. Now, for some reason, it no longer works. query { boards(ids: 1147535394) { items(ids: [1660647663]) { id name column_values { id text value } } } } Ultimately, I only need the data from the columns for this one item. Regards. D. Jurisic
Hello everyone, I previously used JIRA software which had a feature called Script Runner. This allowed me to employ Groovy scripts to implement some tailor-made behaviors in the software. I am now using Monday.com and I need a similar capability. To give you a clearer picture: I have columns labeled “start-date” and “end-date” in Monday. Whenever I input values into these columns, I’d like to perform specific operations on them. For instance, I want to add a constant to these values, convert their type, and then place the result in another column named “computed-Value”. Crucially, I need the flexibility to change the type of the result to any of the existing column types available in the Monday. Additionally, I also need the ability to programmatically add new columns based on certain conditions or triggers. Does anyone know if such functionality exists in Monday or if there’s a workaround to achieve this? Any guidance or references would be greatly appreciated! Thanks in advance!
I get this error when I try to create a mock subscription through the graphql api playground. I’m working on an automation app: { "error_message": "User unauthorized to perform action", "error_code": "UserUnauthorizedException", "error_data": {}, "status_code": 403, "account_id": 24876002 } Here is the mutation I’m trying to execute: mutation { set_mock_app_subscription ( app_id:123345, partial_signing_secret: "r6374e82h", is_trial: true, plan_id: "basic_plan_15_users" ) { plan_id } }
Hi. I would like to build a workspace view that uses fetch to talk to a backend running on Monday code that then talks to the API (presumably authenticate with OAuth). Is that possible or would I have to use an Integration for that?
Hi, I am brand new to Monday.com and am currently working on how I can create an api call to pull Individual Time Tracking data from Monday.com and import it into Fabric. I can use Python to do this but I can’t seem to find the correct api commands to do this. The field names I want are: Time entry date, Time entry ID, Item name, User name, Team name, Logged time, Description, Board name, Workspace name, Category name, Created date I haven’t been able to get any commands to work just yet so any help would be greatly appreciated.
Hi, everyone, Hope you had a wonderful 🎃Halloween:jack_o_lantern: Currently, I am developing automations using Monday API. And I want to download the files which are in the files gallery in the item. I would appreciate it if someone could help me. Thanks.
I’m facing an issue where I’m trying to create multiple tickets in Monday.com via the GraphQL API. I can successfully create 3 to 4 tickets, but after that, I receive a “Complexity budget exhausted” error (e.g., query cost 300001, budget remaining 219803 out of 1000000, reset in 9 seconds). I’ve implemented retry mechanisms with delays, but it seems like the complexity budget is still getting exhausted quickly. Does Monday support creating multiple tickets consecutively? Is there an efficient way to batch or optimize ticket creation to avoid hitting the complexity limits? Are there any best practices to handle large-scale ticket creation or strategies to optimize API queries?
Right now I can read “Time tracking” column values with logs history by API. However, I didn’t find a way to add a manual session using API. I’ve tried the following query, but after that, the value in my tracking column becomes empty (if I click on the column, my sessions will be visible in a separate popup) mutation { change_multiple_column_values( item_id: 1571912532 board_id: 1562062178 column_values: "{\\"time_tracking__1\\" : {\\"running\\":\\"false\\",\\"duration\\":3600,\\"started_at\\":\\"2024-10-30T13:25:00Z\\", \\"history\\" : [{\\"started_at\\": \\"2024-10-30T11:12:00+00:00\\",\\"ended_at\\": \\"2024-10-30T12:12:00+00:00\\",\\"started_user_id\\": \\"60730163\\"}]}}" ) { id } } Is there any way to add session to “Time tracking” column using API?
Hello, good day everyone. I have two different applications that use the monday API to create items within a board and today they simply stopped working (Yesterday they were still working) and show this error when sending requests to create an item: { “errors”: [ { “message”: “parsing error: syntax error: unexpected line terminator”, “locations”: [ { “line”: 6, “column”: 40 } ], “extensions”: { “code”: “PARSING_ERROR” } }, { “message”: “parsing error: syntax error: expected a valid Value”, “locations”: [ { “line”: 18, “column”: 25 } ], “extensions”: { “code”: “PARSING_ERROR” } } ], this is an example of a request i sent: {“query”:“mutation { \\n create_item (\\n board_id: 4485776595, \\n group_id: "grupo_nuevo", \\n item_name: "Emma",\\n column_values: "{\\"date4\\": \\"2024-10-24\\", \\"phone\\": \\"\\", \\n \\"dup__of_pescado\\": \\"2\\", \\"d
I have an automation that’s running through Make.com. It makes an API call back to Monday to update multiple column values. The code is stable and no changes have been made. All of a sudden today I’m getting this error: [400] [{“message”:“parsing error: syntax error: unexpected line terminator”,“locations”:[{“line”:5,“column”:16}],“extensions”:{“code”:“PARSING_ERROR”}},{“message”:“parsing error: syntax error: expected a valid Value”,“locations”:[{“line”:8,“column”:3}],“extensions”:{“code”:“PARSING_ERROR”}}] Here’s the query: mutation { change_multiple_column_values ( item_id: <>, board_id: <>, column_values: “{ "text__1" : "18, 19, 20, 21, 22, 23, 18, 19, 20, 21, 22, 23", "date__1" : {"date" : "2024-10-16", "time" : "19:10:00"} }”) { id } } It runs successfully under GraphiQL in the Monday Developers space. I have another Make automation that is making a similar multiple column mutation and it’s getting the same parsing error. Anyone run into this?
Hello here, I would like to collect items from the board if the last user who modified the item is not myself. I use a user type column named “pulse_updated” to check the last updated date and user from each item. According to the results, the query doesn’t work. Some items were updated by myself and they shouldn’t be selected by this query. my query : query { boards(ids: XXXXXXX) { items_page(query_params: { rules: [{ column_id: "pulse_updated", compare_value: ["assigned_to_me"], operator:not_any_of, compare_attribute:"UPDATED_AT" }] }) { items { id name column_values (ids:"pulse_updated") { id text value ... on LastUpdatedValue { updated_at value updater { name } } } } } } } I suspect that the operator “not_any_of” has an anomaly when we use the person’s id filter on
I use quickbooks time formely t-sheets to track our time online and that integrates with QB desktop. I would llike to integrate QB Time with monday.com. the goal is to enter time in Monday and then be able to sync the time with QB Desktop (NOT ONLINE!!). If i can just get quickbooks time to work with monday we are good as QB time already synchs with QB desktop. Can somone help?
Hi all, When trying to retrieve item updates for a board we are getting an internal server error back. The status page say no problems so is this just my instance or happening for others? Stripped back query that caused error: query { boards(limit: 1) { items_page(limit: 20) { cursor items { id updates { id } } } } } Cheers.
Hi there, Quick question on the app lifecycle. If I have an app that’s running live on monday code and I want to make incremental changes that I want to test locally, what’s the recommended approach? I can think of two options: create a new feature and depending on the case, replicate the functionality from the live feature, test it, and when ready push to monday code create a different app to test locally, and once ready merge the changes with the live app and push to monday code I’d like to hear if folks have other suggestions too! Thanks so much!
Hey ! I wanted to point out an issue in the Assets upload api documentation that I’ve encountered while building an integration. Specifically in this section In the graphQL and curl example, it is mentioned to use “files” for the column_id However using this column_id will result in a 500 error curl --location 'https://api.monday.com/v2/file' \\ --header 'Authorization: xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx' \\ --header 'API-version: 2023-10' \\ --form 'query="mutation ($file: File!) { add_file_to_column (file: $file, item_id: 7655999011, column_id: \\"files\\") {id}}"' \\ --form 'map="{\\"image\\":\\"variables.file\\"} "' \\ --form 'image=@"/Users/sylvainb/downloads/large-marc.jpg"' {"status_code":500,"error_message":"Internal server error","error_code":"INTERNAL_SERVER_ERROR"}% Despite that error code, the file is still being uploaded to the file, however on top of throwing an error in my code, it prevents me from getting the id of the asset that was uploaded. In order to circu
I all of a sudden started having issues with code that has been stable and working every day for over a year. So I tested a simple query through postman and the api playground. I now get “errors”: [ { “message”: “Cannot query field "items" on type "Board".”, “locations”: [ { “line”: 6, “column”: 5 } ], “extensions”: { “code”: “GRAPHQL_VALIDATION_FAILED” } } ], “account_id”: xxx } for a query as simple as: { boards(ids: 4017433669) { id name items (limit: 10) { id name column_values { id value text } subitems { id name column_values { id value text } } } } } My real code returns a similar error (Can’t get |data| of {account_id:xxx, errors:{{message:“Invalid GraphQL request”, |extensions|:{details:“failed to get the request body: error reading a body from connection: Invalid gzip header”, code:“INVALID_GRAPHQL_REQUEST”}}}}.-1728)
Issue: “Set as Demo” Option Not Visible in Marketplace Demo Experience Hello everyone, I’m currently trying to set up a demo experience for my app using the steps outlined in the developer guide. Here’s what I’ve done so far: Navigated to the Developer Center. Selected my app and went to the Features tab. Clicked the three dots next to the workspace template app feature. However, the “Set as demo” option is not visible or enabled. Steps I’ve Taken: Confirmed that I have the necessary permissions as a developer. Checked that the app is published and live. Ensured that the feature I’m working with is a workspace template. Verified that I’ve opted into the marketplace demo feature as described in the guide.
From my understanding, updates exist within an item. How can it be pinned to the top of multiple items? Also why does the pin_to_top and unpin_from_top mutations require an item_id when the update is already associated with an item_id?
I am attempting to retrieve all the content from a Monday board that has recently been shared with me. My task is to write this board to a Google sheet and to Google BigQuery on a daily basis. I do not seem to have editing permissions but I can view the board. It may be that my lack of permissions are preventing me from retrieving column values for each item. Here is the query and the results: Note the presence of only null values. Here is the actual table as to confirm that it does not actually contain null values at these fields: Please help me figure out why I keep getting nulls for my column values. Perhaps an issue in my query or the lack or permissions.
Already have an account? Login
No account yet? Create an account
Enter your E-mail address. We'll send you an e-mail with instructions to reset your password.